<?php
/**
 * EventDat Entity
 * $Id: EventDat.inc,v 1.1 2020/1/15 11:01:52 Exp $
 * @author lixq
 * @package jp.compass.entity
 * @access public
 */
class EventDat extends CompassDynamicData
{
	var $title;
	var $start_time;
	var $finish_time;
	var $position;
	var $position_longitude;
	var $position_latitude;
	var $scope;
	var $max_member;
	var $time_length;
	var $leader_name;
	var $leader_contact;
	var $venue_;
	var $status;
	var $delete_flg;

	/**
	 * 构造实现。event_dat创建实例。
	 * 
	 * @access public
	 * @param mixed event_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->title              = $record["title"];
		$this->start_time         = $record["start_time"];
		$this->finish_time        = $record["finish_time"];
		$this->position           = $record["position"];
		$this->position_longitude = $record["position_longitude"];
		$this->position_latitude  = $record["position_latitude"];
		$this->scope              = $record["scope"];
		$this->max_member         = $record["max_member"];
		$this->time_length        = $record["time_length"];
		$this->leader_name        = $record["leader_name"];
		$this->leader_contact     = $record["leader_contact"];
		$this->venue_             = $record["venue_"];
		$this->status             = $record["status"];
		$this->delete_flg         = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("EventDat", "event_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("event_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("EventDat", "event_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2Array($v_param, $this, "start_time");
		ParamUtil::copyObj2Array($v_param, $this, "finish_time");
		ParamUtil::copyObj2Array($v_param, $this, "position");
		ParamUtil::copyObj2Array($v_param, $this, "position_longitude");
		ParamUtil::copyObj2Array($v_param, $this, "position_latitude");
		ParamUtil::copyObj2Array($v_param, $this, "scope");
		ParamUtil::copyObj2Array($v_param, $this, "max_member");
		ParamUtil::copyObj2Array($v_param, $this, "time_length");
		ParamUtil::copyObj2Array($v_param, $this, "leader_name");
		ParamUtil::copyObj2Array($v_param, $this, "leader_contact");
		ParamUtil::copyObj2Array($v_param, $this, "venue_");
		ParamUtil::copyObj2Array($v_param, $this, "status");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("event_dat", $v_param);
	}
}